import 'package:flutter_secure_storage/flutter_secure_storage.dart';

abstract class CdsKeychainStorageInterface {
  final _storage = const FlutterSecureStorage();

  Future write(String key, String value) async {
    return await _storage.write(key: key, value: value);
  }

  Future<String?> read(String key) async {
    return await _storage.read(key: key);
  }

  Future delete(String key) async {
    return await _storage.delete(key: key);
  }

  Future<bool> exists(String key) async {
    return (await _storage.read(key: key)) == null;
  }

  Future<void> deleteAll() async {
    return await _storage.deleteAll();
  }
}
